package genealogy;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;

import javax.swing.JFrame;

public class Gui extends JFrame {
	
	public final static int WIDTH = 800;
	public final static int HEIGHT = 450;
	private Image dBufImage;
	private Graphics dBufGraphics;
	Font font = new Font("Consolas", Font.PLAIN, 30);
	
	public Gui(){
		setTitle("Genealogy");
		setSize(WIDTH, HEIGHT);
		setResizable(false);
		setVisible(true);
		setBackground(Color.WHITE);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
	
	public void paint(Graphics g){
		dBufImage = createImage(WIDTH, HEIGHT);
		dBufGraphics = dBufImage.getGraphics();
		paintComponent(dBufGraphics);
		g.drawImage(dBufImage, 0, 0, this);
	}
	
	public void paintComponent(Graphics g){
		//score
		g.setFont(font);
		g.setColor(Color.BLACK);
		g.drawString("Genealogy expert system", 180, 55);
		
		
		
		repaint();
	}
}
